Subject: Re: [Bug 106241] New: shutdown(3)/close(3) behaviour is incorrect for sockets in accept(3)

From: Alan Burlison <[email-masked]>
Date: Tue, 27 Oct 2015 13:37:26 +0000

On 27/10/2015 13:42, David Miller wrote:

> This semantic would only exist after Linux version X.Y.Z and vendor
> kernels that decided to backport the feature.
>
> Ergo, this application would ironically be non-portable on Linux
> machines.

Yes, that's true enough, until nobody was using the old versions any more.

> If portable Linux applications have to handle the situation using
> existing facilities there is absolutely zero value to add it now
> because it only will add more complexity to applications handling
> things correctly because they will always have two cases to somehow
> conditionally handle under Linux.
>
> And if the intention is to just always assume the close() semantic
> thing is there, then you have given me a disincentive to ever add the
> facility.

If you took that argument to it's logical extreme they you'd never make 
any changes that made changes to existing behaviour, and that's patently 
not the case.

-- 
Alan Burlison
--